This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 858175

Summary: calltrace during yum groupremove
Product: [Fedora] Fedora Reporter: CAI Qian <caiqian>
Component: yum-langpacksAssignee: Bill Nottingham <notting>
Status: CLOSED CURRENTRELEASE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: high Docs Contact:
Priority: high    
Version: 18CC: i18n-bugs, james.antill, kparal, notting, petersen, robatino, rvokal
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2012-10-23 10:28:20 EDT Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On:    
Bug Blocks: 752661    
Attachments:
Description Flags
experimental patch none

Description CAI Qian 2012-09-18 05:13:27 EDT
Created attachment 613919 [details]
experimental patch

Description of problem:
# yum groupremove traditional-chinese-support
Loaded plugins: langpacks, presto, refresh-packagekit
No Environment named traditional-chinese-support exists
Resolving Dependencies
--> Running transaction check
---> Package cjkuni-ukai-fonts.noarch 0:0.2.20080216.1-49.fc18 will be erased
---> Package cjkuni-uming-fonts.noarch 0:0.2.20080216.1-50.fc18 will be erased
---> Package ibus-chewing.x86_64 0:1.4.2-1.fc18 will be erased
--> Finished Dependency Resolution
Traceback (most recent call last):
  File "/bin/yum", line 29, in <module>
    yummain.user_main(sys.argv[1:], exit_code=True)
  File "/usr/share/yum-cli/yummain.py", line 319, in user_main
    errcode = main(args)
  File "/usr/share/yum-cli/yummain.py", line 185, in main
    (result, resultmsgs) = base.buildTransaction() 
  File "/usr/lib/python2.7/site-packages/yum/__init__.py", line 1142, in buildTransaction
    self.plugins.run('postresolve', rescode=rescode, restring=restring)
  File "/usr/lib/python2.7/site-packages/yum/plugins.py", line 187, in run
    func(conduitcls(self, self.base, conf, **kwargs))
  File "/usr/lib/yum-plugins/langpacks.py", line 315, in postresolve_hook
    remove_matches_from_ts(conduit, group.langonly)
TypeError: remove_matches_from_ts() takes exactly 3 arguments (2 given)

Version-Release number of selected component (if applicable):
yum-langpacks-0.3.0-2.fc18.noarch

How reproducible:
always

Additional info:
Patch is provided.
Comment 1 Parag Nemade 2012-09-18 05:18:42 EDT
missing comma in remove_matches_from_ts() in patch?
Comment 2 CAI Qian 2012-09-18 22:17:13 EDT
Apparently, yes.(In reply to comment #1)
> missing comma in remove_matches_from_ts() in patch?
Apparently, yes. Nice spot.
Comment 3 Bill Nottingham 2012-09-25 08:52:33 EDT
Fixed differently in git, building now.
Comment 5 Fedora Update System 2012-09-25 09:08:12 EDT
yum-langpacks-0.3.0-3.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/yum-langpacks-0.3.0-3.fc17
Comment 6 Fedora Update System 2012-09-25 09:08:58 EDT
yum-langpacks-0.3.0-3.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/yum-langpacks-0.3.0-3.fc18
Comment 7 Fedora Update System 2012-09-25 11:57:33 EDT
Package yum-langpacks-0.3.0-3.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing yum-langpacks-0.3.0-3.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-14756/yum-langpacks-0.3.0-3.fc18
then log in and leave karma (feedback).
Comment 8 Kamil Páral 2012-10-23 10:28:20 EDT
Tested, seems fixed. Closing.